Bug 20690 - Update two-column templates with Bootstrap grid: Acquisitions part 4
Summary: Update two-column templates with Bootstrap grid: Acquisitions part 4
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 20668
Blocks: 14546
  Show dependency treegraph
 
Reported: 2018-05-01 16:39 UTC by Owen Leonard
Modified: 2019-10-14 19:56 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20690: Update two-column templates with Bootstrap grid: Acquisitions part 4 (15.24 KB, patch)
2018-05-09 11:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20690: Update two-column templates with Bootstrap grid: Acquisitions part 4 (15.29 KB, patch)
2018-08-13 15:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20690: Update two-column templates with Bootstrap grid: Acquisitions part 4 (15.55 KB, patch)
2018-08-17 18:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20690: Update two-column templates with Bootstrap grid: Acquisitions part 4 (15.61 KB, patch)
2018-08-21 09:18 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20690: Update two-column templates with Bootstrap grid: Acquisitions part 4 (15.66 KB, patch)
2018-08-27 18:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-05-01 16:39:28 UTC
This patch will convert even more acquisitions templates to use the Bootstrap grid:

- acqui/orderreceive.tt
- acqui/parcel.tt
- acqui/parcels.tt
- acqui/spent.tt
- acqui/supplier.tt
- acqui/uncertainprice.tt
Comment 1 Owen Leonard 2018-05-09 11:45:57 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-08-13 15:00:26 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2018-08-17 18:05:57 UTC
Created attachment 77999 [details] [review]
Bug 20690: Update two-column templates with Bootstrap grid: Acquisitions part 4

This patch modifies several acquisitions templates to use the Bootstrap
grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

- Acquisitions home page -> Click a "spent" value for a fund.
- Acquisitions -> Vendor -> Vendor details.
- Acquisitions -> Vendor -> Uncertain prices
- Acquisitions -> Vendor -> Receive shipments
  - Click an "Invoice number" link in the table of shipments.
    - Click "Receive" for one of the titles in pending orders.
Comment 4 Claire Gravely 2018-08-21 09:18:37 UTC
Created attachment 78029 [details] [review]
Bug 20690: Update two-column templates with Bootstrap grid: Acquisitions part 4

This patch modifies several acquisitions templates to use the Bootstrap
grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

- Acquisitions home page -> Click a "spent" value for a fund.
- Acquisitions -> Vendor -> Vendor details.
- Acquisitions -> Vendor -> Uncertain prices
- Acquisitions -> Vendor -> Receive shipments
  - Click an "Invoice number" link in the table of shipments.
    - Click "Receive" for one of the titles in pending orders.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 5 Katrin Fischer 2018-08-27 18:40:31 UTC
Created attachment 78193 [details] [review]
Bug 20690: Update two-column templates with Bootstrap grid: Acquisitions part 4

This patch modifies several acquisitions templates to use the Bootstrap
grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

- Acquisitions home page -> Click a "spent" value for a fund.
- Acquisitions -> Vendor -> Vendor details.
- Acquisitions -> Vendor -> Uncertain prices
- Acquisitions -> Vendor -> Receive shipments
  - Click an "Invoice number" link in the table of shipments.
    - Click "Receive" for one of the titles in pending orders.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2018-08-31 12:58:50 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-09-05 14:38:13 UTC
Enhancement, will not be backported to 18.05.x series.